/* ========================================================== */
/* CSS for control sap.ui.layout/ResponsiveFlowLayout.control */
/* ========================================================== */
@sapUiRFLPadding: ~"3px";

.sapUiRFL {
	position: relative;
	display: inline-block;
	width: 100%;
	box-sizing: border-box;
}

.sapUiRFLRow {
	position: relative;
	display: block;
	box-sizing: border-box;
}

.sapUiRFLContainer {
	position: relative;
	display: inline-block;
	box-sizing: border-box;
	vertical-align: top;
	overflow: hidden;
}

.sapUiRFLPaddingClass {
	padding: 3px 3px 0 0;
}

.sapUiRFLRow > .sapUiRFLContainer:first-child > .sapUiRFLContainerContent.sapUiRFLPaddingClass:first-child {
	padding-left: 0;
}

.sapUiRFLRow > .sapUiRFLContainer:last-child > .sapUiRFLContainerContent.sapUiRFLPaddingClass:last-child {
	padding-right: 0;
}

.sapUiRFLMultiContainerContent {
	white-space: nowrap;
}

.sapUiRFLMultiContent.sapUiRFLPaddingClass {
	padding: 0 3px 0 0;
}

.sapUiRFLMultiContent {
	display: inline-block;
	box-sizing: border-box;
}

.sapUiRFLMultiContainerContent > .sapUiRFLMultiContent.sapUiRFLPaddingClass:last-child {
	padding-right: 0;
}